Update env var
curl --request PATCH \
--url https://api.getcargo.io/v1/hosting/env-vars/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<string>",
"isSecret": true
}
'import requests
url = "https://api.getcargo.io/v1/hosting/env-vars/{uuid}"
payload = {
"value": "<string>",
"isSecret": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>', isSecret: true})
};
fetch('https://api.getcargo.io/v1/hosting/env-vars/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"envVar": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"isSecret": true,
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"kind": "<string>",
"appUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Hosting - Env Vars
Update env var
Update an environment variable
PATCH
/
hosting
/
env-vars
/
{uuid}
Update env var
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the environment variable to update.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Body
application/json
Response
Successful response
Updated environment variable.
- Environment variable
- Environment variable
Show child attributes
Show child attributes
Was this page helpful?
⌘I

